# Generated from busser-serverspec_eol-0.5.12.gem by gem2rpm -*- rpm-spec -*-
%global gem_name busser-serverspec_eol

Name: rubygem-%{gem_name}
Version: 0.5.12
Release: 1%{?dist}
Summary: A fork for busser-serverspec for supporting EOL Ruby versions < 2.3
License: Apache 2.0
URL: https://github.com/etherops/busser-serverspec_eol
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(serverspec)
# BuildRequires: rubygem(aruba) = 0.6.1
# BuildRequires: rubygem(cucumber) = 1.3.18
# BuildRequires: rubygem(cane)
# BuildRequires: rubygem(log_switch) >= 0.3.0
# BuildRequires: rubygem(log_switch) < 0.4
# BuildRequires: rubygem(tailor)
# BuildRequires: rubygem(countloc)
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(net-ssh) < 2.10
# BuildRequires: rubygem(tins) < 1.7
BuildArch: noarch

%description
A fork for busser-serverspec for supporting EOL Ruby versions < 2.3.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.cane
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%{gem_instdir}/.tailor
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/busser-serverspec_eol.gemspec
%{gem_instdir}/features

%changelog
* Mon Sep 13 2021 mockbuilder - 0.5.12-1
- Initial package
